
Foreman - Bug #37065

Host - Statuses report failing "unknown keywords: :Name, :Global"

01/18/2024 10:16 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Reporting   

Target version: 3.11.0   

Difficulty:  Fixed in Releases: 3.10.0, 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10047,

https://github.com/theforeman/foreman/p

ull/10100,

https://github.com/theforeman/foreman/p

ull/10103

  

Description

Unsure yet if it affects 4.11.

Tested on Katello + Foreman latest dev code.

To reproduce, register any host to default org / default location and generate the Host - Statuses report.

Dynflow backtrace:

 Input:

---

job_class: TemplateRenderJob

queue: default

job_data:

  job_class: TemplateRenderJob

  job_id: 2fb5a5cb-4360-49ca-8a83-7b369d950273

  provider_job_id: 2fb5a5cb-4360-49ca-8a83-7b369d950273

  queue_name: default

  priority: 

  arguments:

  - template_id: 155-Host - Statuses

    gzip: false

    send_mail: false

    mail_to: root@example.com

    format: html

    input_values:

      '32':

        value: ''

        _aj_hash_with_indifferent_access: true

      '33':

        value: Human-readable

        _aj_hash_with_indifferent_access: true

      _aj_hash_with_indifferent_access: true

    _aj_hash_with_indifferent_access: true

  - user_id: 4

    _aj_ruby2_keywords:

    - user_id

  executions: 0

  exception_executions: {}

  locale: en

  timezone: America/New_York
  enqueued_at: '2024-01-18T22:13:05Z'

locale: en

current_request_id: 2224e258-014b-4563-98fb-c3b185d4ae5c

current_timezone: America/New_York

current_organization_id: 1

current_location_id: 2

current_user_id: 4

Output:

--- {}

Chunked output:

--- []

Error:

ArgumentError

unknown keywords: :Name, :Global

---

- "/home/vagrant/foreman/app/services/foreman/renderer/scope/report.rb:67:in `report_row'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/safemode-1.4.0/lib/safemode/scope.rb:37:in

  `method_missing'" 

- Host - Statuses:56:in `block in initialize'

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches/batch_enumerator.rb:40:in

  `block (2 levels) in each_record'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches/batch_enumerator.rb:40:in

  `each'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches/batch_enumerator.rb:40:in

  `block in each_record'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches.rb:245:in

  `block in in_batches'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches.rb:229:in

  `loop'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches.rb:229:in

  `in_batches'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches/batch_enumerator.rb:39:in

  `each'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_record/relation/b

atches/batch_enumerator.rb:39:in

  `each_record'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/safemode-1.4.0/lib/safemode/jail.rb:31:in

  `method_missing'" 

- Host - Statuses:55:in `initialize'

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/safemode-1.4.0/lib/safemode.rb:52:in

  `eval'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/safemode-1.4.0/lib/safemode.rb:52:in

  `eval'" 

- "/home/vagrant/foreman/app/services/foreman/renderer/safe_mode_renderer.rb:7:in

  `render'" 

- "/home/vagrant/foreman/app/services/foreman/renderer/base_renderer.rb:18:in `render'" 

- "/home/vagrant/foreman/app/services/foreman/renderer.rb:46:in `render'" 

- "/home/vagrant/foreman/app/models/template.rb:172:in `render'" 

- "/home/vagrant/foreman/app/models/report_composer.rb:241:in `render'" 

- "/home/vagrant/foreman/app/jobs/template_render_job.rb:12:in `block in perform'" 

- "/home/vagrant/foreman/app/models/concerns/foreman/thread_session.rb:108:in `as'" 

- "/home/vagrant/foreman/app/jobs/template_render_job.rb:9:in `perform'" 
- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/execution.rb:48:

in

  `block in perform_now'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:117:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/i18n-1.14.1/lib/i18n.rb:322:in `with_locale'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/translation.rb:9

:in

  `block (2 levels) in <module:Translation>'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `instance_exec'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/core_ext

/time/zones.rb:66:in

  `use_zone'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/timezones.rb:9:i

n

  `block (2 levels) in <module:Timezones>'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `instance_exec'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/instrumentation.

rb:21:in

  `block in instrument'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/notifica

tions.rb:203:in

  `block in instrument'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/notifica

tions/instrumenter.rb:24:in

  `instrument'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/notifica

tions.rb:203:in

  `instrument'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/instrumentation.

rb:31:in

  `instrument'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/instrumentation.

rb:14:in

  `block (2 levels) in <module:Instrumentation>'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `instance_exec'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/logging.rb:24:in

  `tag_logger'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/logging.rb:15:in

  `block (2 levels) in <module:Logging>'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `instance_exec'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:137:in

  `run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/execution.rb:47:

in
  `perform_now'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/execution.rb:25:

in

  `block in execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:117:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/railtie.rb:47:in

  `block (4 levels) in <class:Railtie>'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/executio

n_wrapper.rb:91:in

  `wrap'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/reloader

.rb:72:in

  `block in wrap'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/executio

n_wrapper.rb:91:in

  `wrap'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/reloader

.rb:71:in

  `wrap'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/railtie.rb:46:in

  `block (3 levels) in <class:Railtie>'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `instance_exec'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:126:in

  `block in run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.6/lib/active_support/callback

s.rb:137:in

  `run_callbacks'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activejob-6.1.7.6/lib/active_job/execution.rb:23:

in

  `execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/active_job/queue_adapte

r.rb:47:in

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:589:in

  `block (3 levels) in execute_run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action/progress.rb:31:i

n

  `with_progress_calculation'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action/progress.rb:17:i

n

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in `block in

  run'" 

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'" 

- "/home/vagrant/katello/app/lib/actions/middleware/keep_locale.rb:11:in `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:
in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/lo

ad_setting_values.rb:20:in

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_request_id.rb:15:in

  `block in run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_request_id.rb:52:in

  `restore_current_request_id'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_request_id.rb:15:in

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_timezone.rb:15:in

  `block in run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_timezone.rb:44:in

  `restore_curent_timezone'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_timezone.rb:15:in

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_taxonomies.rb:15:in

  `block in run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_taxonomies.rb:45:in

  `restore_current_taxonomies'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_taxonomies.rb:15:in

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:32:in
  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:27:

in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware.rb:19:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_user.rb:15:in

  `block in run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_user.rb:54:in

  `restore_curent_user'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/foreman-tasks-9.0.1/app/lib/actions/middleware/ke

ep_current_user.rb:15:in

  `run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/stack.rb:23:

in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/middleware/world.rb:31:

in

  `execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:588:in

  `block (2 levels) in execute_run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:587:in

  `catch'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:587:in

  `block in execute_run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:490:in

  `block in with_error_handling'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:490:in

  `catch'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:490:in

  `with_error_handling'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:582:in

  `execute_run'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/action.rb:303:in

  `execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/execution_plan/steps/ab

stract_flow_step.rb:18:in

  `block (2 levels) in execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/execution_plan/steps/ab

stract.rb:167:in

  `with_meta_calculation'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/execution_plan/steps/ab

stract_flow_step.rb:17:in

  `block in execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/execution_plan/steps/ab

stract_flow_step.rb:32:in

  `open_action'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/execution_plan/steps/ab

stract_flow_step.rb:16:in

  `execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/director.rb:69:in

  `execute'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/executors/parallel/work

er.rb:15:in

  `block in on_message'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/executors.rb:18:in

  `run_user_code'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/executors/parallel/work

er.rb:14:in

  `on_message'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/context.rb:46:in
  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/executes_context.rb:7:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/actor.rb:122:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/awaits.rb:15:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/sets_results.rb:14:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/dynflow-1.8.2/lib/dynflow/actor.rb:56:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/buffer.rb:38:in

  `process_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/buffer.rb:31:in

  `process_envelopes?'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/buffer.rb:20:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/termination.rb:55:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/removes_child.rb:10:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/abstract.rb:25:in

  `pass'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/behaviour/sets_results.rb:14:in

  `on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/core.rb:162:in

  `process_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/core.rb:96:in

  `block in on_envelope'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/core.rb:119:in

  `block (2 levels) in schedule_execution'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/synchronization/mutex_lockable_object.rb:47:in

  `block in synchronize'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/synchronization/mutex_lockable_object.rb:47:in
  `synchronize'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/synchronization/mutex_lockable_object.rb:47:in

  `synchronize'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-edge-0.6.0/lib/concurrent-ruby-ed

ge/concurrent/actor/core.rb:116:in

  `block in schedule_execution'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/serialized_execution.rb:18:in

  `call'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/serialized_execution.rb:96:in

  `work'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/serialized_execution.rb:77:in

  `block in call_job'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/ruby_thread_pool_executor.rb:352:in

  `run_task'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/ruby_thread_pool_executor.rb:343:in

  `block (3 levels) in create_worker'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/ruby_thread_pool_executor.rb:334:in

  `loop'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/ruby_thread_pool_executor.rb:334:in

  `block (2 levels) in create_worker'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/ruby_thread_pool_executor.rb:333:in

  `catch'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/concurrent-ruby-1.1.10/lib/concurrent-ruby/concur

rent/executor/ruby_thread_pool_executor.rb:333:in

  `block in create_worker'" 

- "/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/logging-2.3.1/lib/logging/diagnostic_context.rb:4

74:in

  `block in create_with_logging_context'" 

Associated revisions

Revision 05f60ce3 - 03/14/2024 01:05 PM - Jeremy Lenz

Fixes #37065 - report_row now explicitly accepts kwargs

also adds a test which fails without the fix

Revision 02eb6356 - 03/18/2024 09:45 PM - Evgeni Golov

Refs #37065 - require at least apipie-dsl 2.6.2

It adds the `kwlist` macro

History

#1 - 01/24/2024 06:57 PM - Partha Aji

- Category set to Hosts

- Triaged changed from No to Yes

#2 - 02/13/2024 09:05 PM - Jeremy Lenz

- Project changed from Katello to Foreman

- Category changed from Hosts to Reporting

- Assignee set to Jeremy Lenz

- Target version deleted (Katello 4.12.0)

- Triaged changed from Yes to No

#3 - 02/13/2024 09:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/10047 added

#4 - 02/14/2024 04:48 PM - Jeremy Lenz

- Target version set to 3.10.0

#5 - 02/20/2024 05:36 PM - Griffin Sullivan

- Target version changed from 3.10.0 to 3.11.0

#6 - 03/14/2024 01:05 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#7 - 03/14/2024 02:00 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|05f60ce3d57e9555221f8b7dab0c2fc946a03260.

#8 - 03/18/2024 01:44 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10100 added

#9 - 03/19/2024 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10103 added

#10 - 03/20/2024 06:03 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added
